Foreman - Bug #5634

Users using apache sso are redirected to /users/login at session timeout
05/08/2014 03:04 PM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Authentication
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1429
Description

When my session expires, | get redirected to /users/login. | should probably get redirected to /users/extlogin instead.

| see where it's theoretically supposed to happen in app/controllers/concerns/foreman/controller/session.rb, but get_sso_method is
returning nil, so it never calls the SSO provider's expiration_url and uses the default instead.

Configured using the instructions in the manual.

Started GET "/" for 10.7.13.21 at 2014-05-08 17:03:01 +0200
Processing by DashboardController#index as HTML

Session for Stephen Benjamin is expired.

Unknown SSO method

Redirected to https://gatebuilder.bitbin.de/users/login
Filter chain halted as :session_expiry rendered or redirected
Completed 302 Found in 85ms (ActiveRecord: 81.7ms)

Associated revisions

Revision fae8b987 - 11/16/2014 07:07 PM - Stephen Benjamin

fixes #5634 - save sso_method on session expiry

Revision 8a4e0b3c - 11/24/2014 12:50 PM - Stephen Benjamin

fixes #5634 - save sso_method on session expiry

(cherry picked from commit fae8b987a8fb329d3cc6a9243e967861d7f5d198)

History

#1 - 05/09/2014 07:24 AM - Jan Pazdziora

The problem seems to be -- even logout does not work properly anymore. If you logout, you should get to /users/extlogout for one-click re-login.
This used to work when we've introduced the feature so there is some regression there.

#2 - 05/09/2014 09:28 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1429

#3 - 05/19/2014 12:42 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2
https://github.com/theforeman/foreman/pull/1429

#4 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#5 - 07/07/2014 07:21 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#7 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#8 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#9 - 09/30/2014 10:38 AM - Dominic Cleal

- Target version changed from 1.7.3to 1.7.2

#10 - 11/14/2014 08:59 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1429 added

#11 - 11/16/2014 08:02 PM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fae8b987a8fb329d3cc6a9243e967861d7f5d198.

#12 - 11/17/2014 03:26 AM - Dominic Cleal

- translation missing: en.field_release set to 21
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/fae8b987a8fb329d3cc6a9243e967861d7f5d198
http://www.tcpdf.org

